%define major 6
%define libname %mklibname netcdff %{major}
%define develname %mklibname -d netcdff

Summary:	Libraries to use the Unidata network Common Data Form (netCDF)
Name:		netcdf-fortran
Version:	4.4.2
Release:	%mkrel 1
Group:		Development/Other
License:	NetCDF
URL:		http://www.unidata.ucar.edu/software/netcdf/
Source0:	http://www.unidata.ucar.edu/downloads/netcdf/ftp/%{name}-%{version}.tar.xz
BuildRequires:	gcc-gfortran
BuildRequires:  netcdf-devel

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 


%package -n	%{libname}
Summary:	Fortran libraries for netcdf-4
Group:		System/Libraries
Obsoletes:	%{_lib}netcdf_fortran5 < %{version}

%description -n	%{libname}
This package contains the netCDF-4 fortran libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the netCDF-4 header files, shared devel libs, and 
man pages.

%prep
%setup -q

%build
%configure2_5x --enable-shared --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libnetcdff.so.%{major}*

%files -n %{develname}
%{_bindir}/nf-config
%{_includedir}/*
%{_libdir}/libnetcdff.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Mon Jul 16 2018 adrianomorselli <adrianomorselli> 4.4.2-1uplos2018
- update
